var i, j;

location l0 with
(i=0
j=-100);

location l1;

location l2; 

location l3;

transition t0 l0-> l1 ;

transition t1 l1 -> l2 with
Guard (i<=100)
      i := i+1;

transition t2 l2 -> l2 with
Guard (j<=19)
      j := i+j;

transition t3 l2 -> l1 with
Guard (j >= 20);

transition t4 l1 -> l3 with
Guard (i >= 101);

end